import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const TagGroup = /*@__PURE__*/ proxyCustomElement(class TagGroup extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
    }
    render() {
        return (h(Host, { key: '131973a110ac1b917a7010d3870c48558020a618', class: "bal-tag-group" }, h("slot", { key: '3595db4a1dbe182c0890054da5ad8c33ea4a818b' })));
    }
}, [4, "bal-tag-group"]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["bal-tag-group"];
    components.forEach(tagName => { switch (tagName) {
        case "bal-tag-group":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TagGroup);
            }
            break;
    } });
}

const BalTagGroup = TagGroup;
const defineCustomElement = defineCustomElement$1;

export { BalTagGroup, defineCustomElement };
